# OpalStatusMediaStream Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_callToken
| Call token for the call the media stream is.
const char * | m_identifier
const char * | m_type
const char * | m_format
OpalMediaStates | m_state
int | m_volume

## Detailed Description

Media stream information for the OpalIndMediaStream indication and OpalCmdMediaStream command.

This is may be returned from the OpalGetMessage() function or provided to the OpalSendMessage() function.

## Field Documentation

const char* OpalStatusMediaStream::m_callToken

Call token for the call the media stream is.

const char* OpalStatusMediaStream::m_format

Media format for the stream. For OpalIndMediaStream this shows the format being used. For OpalCmdMediaStream this is the format to use. In the latter case, if empty or NULL, then a default is used.

const char* OpalStatusMediaStream::m_identifier

Unique identifier for the media stream. For OpalCmdMediaStream this may be left empty and the first stream of the type indicated by m_mediaType is used.

OpalMediaStates OpalStatusMediaStream::m_state

For OpalIndMediaStream this indicates the status of the stream. For OpalCmdMediaStream this indicates the state to move to, see OpalMediaStates for more information.

const char* OpalStatusMediaStream::m_type

Media type and direction for the stream. This is a keyword such as "audio" or "video" indicating the type of the stream, a space, then either "in" or "out" indicating the direction. For OpalCmdMediaStream this may be left empty if m_identifier is used.

int OpalStatusMediaStream::m_volume

Set the volume for the media stream as a percentage. Note this is dependent on the stream type and may be ignored. Also, a percentage of zero does not indicate muting, it indicates no change in volume. Use -1, to mute.

The documentation for this struct was generated from the following file:

- opal.h